# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(Module/Build.pm) perl(Test2/V0.pm) perl(Types/Common.pm) perl(XS/Parse/Infix.pm) perl(XS/Parse/Infix/Builder.pm) perl(match/simple.pm)
# END SourceDeps(oneline)
%define module_name Syntax-Operator-Matches
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.000003
Release: alt1
Summary: match::simple but as a real infix operator
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TOBYINK/%{module_name}-%{version}.tar.gz

%description
This module implements a `matches' infix operator using the match::simple manpage.

There's also a `mismatches' operator which returns the inverse. This needs
to be requested explicitly.

   use v5.38;
   use Syntax::Operator::Matches qw( matches mismatches );
   
   unless ( $x mismatches $y ) {
      ...;
   }

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 0.000003-alt1
- initial import by package builder

